/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation. All rights reserved. This program and
 * the accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: Actuate Corporation - initial API and implementation
 ******************************************************************************/

package org.eclipse.birt.test.performance.reporting.model;

public class NodeFactory
{

	public static Duration newDurationNode( )
	{
		return new Duration( );
	}

	public static InputNode newInputNode( )
	{
		return new InputNode( );

	}

	public static ReportDesignNode newReportDesignNode( )
	{
		return new ReportDesignNode( );
	}

	public static TaskNode newTaskNode( )
	{
		return new TaskNode( );
	}

	public static TestCaseNode newTestCaseNode( )
	{
		return new TestCaseNode( );
	}

	public static ThreadNode newThreadNode( )
	{
		return new ThreadNode( );
	}
}
